# Zoom Meeting API - August 19, 2023 _Published August 21, 2023_ ## Added - New **Billing** APIs: - `GET /v2/accounts/billing/renewals` - `GET /v2/accounts/{accountId}/accounts/billing/renewals` - New **Archiving** API: - `PATCH /v2/archive_files/{fileId}` - New **Apps** API: - `POST /v2/app/notifications` ## Changed - New `title`, `numbered_questions`, `prompts`, `show_question_type`, and `feedback` response fields in these **Webinars** APIs: - `GET /v2/accounts/{accountId}/webinars/{webinarId}/survey` - `GET /v2/webinars/{webinarId}/survey` - New `numbered_questions`, `title`, `feedback`, `show_question_type`, and `prompts` request fields in these **Meetings** APIs: - `PATCH /v2/accounts/{accountId}/meetings/{meetingId}/survey` - `PATCH /v2/meetings/{meetingId}/survey` - New `participant_focused_meeting`, `internal_meeting`, and `continuous_meeting_chat` response fields in these **Meetings** APIs: - `GET /v2/meetings/{meetingId}` - `GET /v2/accounts/{accountId}/meetings/{meetingId}` - `POST /v2/users/{userId}/meetings` - `POST /v2/accounts/{accountId}/users/{userId}/meetings` - New `continuous_meeting_chat` response field in these **Accounts** APIs: - `GET /v2/accounts/{accountId}/lock_settings` - `GET /v2/accounts/{accountId}/accounts/{accountId}/lock_settings` - `GET /v2/accounts/{accountId}/accounts/{accountId}/settings` - `GET /v2/accounts/{accountId}/settings` - New `continuous_meeting_chat`, `internal_meeting`, and `participant_focused_meeting` request fields in these **Meetings** APIs: - `PATCH /v2/meetings/{meetingId}` - `PATCH /v2/accounts/{accountId}/meetings/{meetingId}` - `POST /v2/users/{userId}/meetings` - `POST /v2/accounts/{accountId}/users/{userId}/meetings` - New `storage_location` response field in these **Archiving** APIs: - `GET /v2/past_meetings/{meetingUUID}/archive_files` - `GET /v2/accounts/{accountId}/archive_files` - `GET /v2/archive_files` - New `continuous_meeting_chat` request field in these **Groups** APIs: - `PATCH /v2/groups/{groupId}/settings` - `PATCH /v2/accounts/{accountId}/groups/{groupId}/settings` - `PATCH /v2/accounts/{accountId}/groups/{groupId}/lock_settings` - `PATCH /v2/groups/{groupId}/lock_settings` - New `feedback`, `prompts`, `show_question_type`, `numbered_questions`, and `title` response fields in these **Meetings** APIs: - `GET /v2/accounts/{accountId}/meetings/{meetingId}/survey` - `GET /v2/meetings/{meetingId}/survey` - New `show_question_type`, `prompts`, `feedback`, `title`, and `numbered_questions` request fields in the following **Webinars** APIs: - `PATCH /v2/accounts/{accountId}/webinars/{webinarId}/survey` - `PATCH /v2/webinars/{webinarId}/survey` - New `continuous_meeting_chat` response field in the following **Groups** APIs: - `GET /v2/groups/{groupId}/settings` - `GET /v2/accounts/{accountId}/groups/{groupId}/settings` - `GET /v2/accounts/{accountId}/groups/{groupId}/lock_settings` - `GET /v2/groups/{groupId}/lock_settings` - New `wifi_rssi` response field in these **Dashboards** APIs: - `GET /v2/accounts/{accountId}/metrics/webinars/{webinarId}/participants/{participantId}/qos` - `GET /v2/metrics/webinars/{webinarId}/participants/{participantId}/qos` - `GET /v2/metrics/webinars/{webinarId}/participants/qos` - `GET /v2/accounts/{accountId}/metrics/webinars/{webinarId}/participants/qos` - `GET /v2/metrics/meetings/{meetingId}/participants/{participantId}/qos` - `GET /v2/accounts/{accountId}/metrics/meetings/{meetingId}/participants/{participantId}/qos` - `GET /v2/accounts/{accountId}/metrics/meetings/{meetingId}/participants/qos` - `GET /v2/metrics/meetings/{meetingId}/participants/qos` - New `continuous_meeting_chat` request field in these **Accounts** APIs: - `PATCH /v2/accounts/{accountId}/lock_settings` - `PATCH /v2/accounts/{accountId}/accounts/{accountId}/lock_settings` - `PATCH /v2/accounts/{accountId}/accounts/{accountId}/settings` - `PATCH /v2/accounts/{accountId}/settings` - New `continuous_meeting_chat` response field in these **Users** APIs: - `GET /v2/accounts/{accountId}/users/{userId}/settings` - `GET /v2/users/{userId}/settings` - New `storage_location` field in these **Cloud Recording** webhook events: - `recording.archive_files_completed` ## Bug Fixes - Fixed the issue where updating a registrant's status bypass via with whitespace lead to email bomber. - `PUT /v2/meetings/{meetingId}/registrants/status` - `PUT /v2/webinars/{webinarId}/registrants/status` - `PUT /v2/accounts/{accountId}/meetings/{meetingId}/registrants/status` - `PUT /v2/accounts/{accountId}/webinars/{webinarId}/registrants/status` - Fixed the issue where if the schedule privilege is removed, the meeting host cannot update the meeting. - `PATCH /v2/meetings/{meetingId}` - `PATCH /v2/accounts/{accountId}/meetings/{meetingId}` - Fixed the issue where the **Get past meeting participants** API does not return the "status" field. - `GET /v2/past_meetings/{meetingId}/participants` - `GET /v2/past_webinars/{webinarId}/participants`